Search:

# CWIS Developers Documentation

Public Member Functions

# ResourceFactory Class Reference

Collaboration diagram for ResourceFactory:
[legend]

## Public Member Functions
| ResourceFactory ()
| DuplicateResource ($ResourceId)
| ClearQualifier ($ObjectOrId, $NewObjectOrId=NULL)
| GetRatedResourceCount ()
| GetRatedResourceUserCount ()
| GetRecentlyReleasedResources ($Count=10, $Offset=0, $MaxDaysToGoBack=90)
| GetResourceIdsSortedBy ($FieldName, $Ascending=TRUE, $Limit=NULL)
| GetTimestampOfLastResourceModification ($OnlyReleasedResources=TRUE)
| GetPossibleFieldNames ()
| GetMatchingResources ($ValuesToMatch)
| GetResourceCount ($FieldId, $Value, $CountType="All")
| UpdateResourceCountCallback ()

List of all members.

## Detailed Description

Definition at line 21 of file ResourceFactory.php.

Inheritance diagram for ResourceFactory:
[legend]

## Member Function Documentation

ResourceFactory::ClearQualifier | ( | $ | ObjectOrId,
|  | $ | NewObjectOrId = `NULL`
| ) |  |

Definition at line 62 of file ResourceFactory.php.

ResourceFactory::DuplicateResource | ( | $ | ResourceId ) |

Definition at line 33 of file ResourceFactory.php.

ResourceFactory::GetMatchingResources | ( | $ | ValuesToMatch ) |

Definition at line 267 of file ResourceFactory.php.

References ItemFactory::$DB, ItemFactory::$FieldId, MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_FLAG, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_POINT, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, and MetadataSchema::MDFTYPE_URL.

ResourceFactory::GetPossibleFieldNames | ( | ) |

Definition at line 250 of file ResourceFactory.php.

ResourceFactory::GetRatedResourceCount | ( | ) |

Definition at line 113 of file ResourceFactory.php.

ResourceFactory::GetRatedResourceUserCount | ( | ) |

Definition at line 122 of file ResourceFactory.php.

ResourceFactory::GetRecentlyReleasedResources | ( | $ | Count = `10`,
|  | $ | Offset = `0`,
|  | $ | MaxDaysToGoBack = `90`
| ) |  |

Definition at line 131 of file ResourceFactory.php.

ResourceFactory::GetResourceCount | ( | $ | FieldId,
|  | $ | Value,
|  | $ | CountType = `"All"`
| ) |  |

Definition at line 317 of file ResourceFactory.php.

References ItemFactory::$FieldId, MetadataSchema::MDFSTAT_OK, MetadataSchema::MDFTYPE_CONTROLLEDNAME, and MetadataSchema::MDFTYPE_OPTION.

ResourceFactory::GetResourceIdsSortedBy | ( | $ | FieldName,
|  | $ | Ascending = `TRUE`,
|  | $ | Limit = `NULL`
| ) |  |

Definition at line 160 of file ResourceFactory.php.

References MetadataSchema::MDFTYPE_DATE, MetadataSchema::MDFTYPE_NUMBER, MetadataSchema::MDFTYPE_PARAGRAPH, MetadataSchema::MDFTYPE_TEXT, MetadataSchema::MDFTYPE_TIMESTAMP, and MetadataSchema::MDFTYPE_URL.

ResourceFactory::GetTimestampOfLastResourceModification | ( | $ | OnlyReleasedResources = `TRUE` ) |

Definition at line 240 of file ResourceFactory.php.

ResourceFactory::ResourceFactory | ( | ) |

Definition at line 26 of file ResourceFactory.php.

References ItemFactory::ItemFactory().

ResourceFactory::UpdateResourceCountCallback | ( | ) |

Definition at line 361 of file ResourceFactory.php.

References ItemFactory::$DB.

The documentation for this class was generated from the following file:

- ResourceFactory.php